## quake2 0.1-1

=== debian/changelog ===
quake2 (0.1-1) unstable; urgency=low

  * Initial release

 -- CepiPerez <cepiperez@gmail.com>  Mon, 12 Apr 2010 19:56:22 -0300

## quake2 0.3-3

=== Makefile ===
#
# Quake2 Makefile for Linux 2.0
#
# Nov '97 by Zoid <zoid@idsoftware.com>
#
# ELF only
#

# start of configurable options

# Here are your build options:
# (Note: not all options are available for all platforms).
# quake2 (uses OSS for sound, cdrom ioctls for cd audio) is automatically built.
# game$(ARCH).so is automatically built.
BUILD_SDLQUAKE2=YES	# sdlquake2 executable (uses SDL for cdrom and sound)
BUILD_SVGA=NO		# SVGAlib driver. Seems to work fine.
BUILD_X11=NO		# X11 software driver. Works somewhat ok.
BUILD_GLX=NO		# X11 GLX driver. Works somewhat ok.
BUILD_FXGL=NO		# FXMesa driver. Not tested. (used only for V1 and V2).
BUILD_SDL=YES		# SDL software driver. Works fine for some people.
BUILD_SDLGL=NO		# SDL OpenGL driver. Works fine for some people.
BUILD_CTFDLL=YES	# game$(ARCH).so for ctf
BUILD_XATRIX=NO		# game$(ARCH).so for xatrix (see README.r for details)
BUILD_ROGUE=NO		# game$(ARCH).so for rogue (see README.r for details)
BUILD_JOYSTICK=YES	# build in joystick support
BUILD_ARTS=NO		# build in support for libaRts sound.
BUILD_ALSA=NO		# build in support for ALSA (default sound on 2.6)
BUILD_DEDICATED=NO	# build a dedicated quake2 server
BUILD_AA=NO		# build the ascii soft renderer.
BUILD_QMAX=NO		# build the fancier GL graphics
BUILD_RETEXTURE=NO	# build a version supporting retextured graphics
BUILD_REDBLUE=NO	# build a red-blue 3d glasses renderer...
STATICSDL=NO
SDLDIR=/usr/local/lib

# Other compile-time options:
# Compile with IPv6 (protocol independent API). Tested on FreeBSD
HAVE_IPV6=NO

# (hopefully) end of configurable options

# Check OS type.
OSTYPE := $(shell uname -s)

ifneq ($(OSTYPE),Linux)
ifneq ($(OSTYPE),FreeBSD)
ifeq ($(OSTYPE),SunOS)
$(error OS $(OSTYPE) detected, use "Makefile.Solaris" instead.)
else
$(error OS $(OSTYPE) is currently not supported)
endif
endif
endif


# this nice line comes from the linux kernel makefile
ARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc/ -e s/sparc64/sparc/ -e s/arm.*/arm/ -e s/sa110/arm/ -e s/alpha/axp/)

ifneq ($(ARCH),x86_64)
ifneq ($(ARCH),i386)
ifneq ($(ARCH),axp)
ifneq ($(ARCH),arm)
ifneq ($(ARCH),ppc)
ifneq ($(ARCH),sparc)
$(error arch $(ARCH) is currently not supported)
endif
endif
endif
endif
endif
endif

CC=gcc

ifeq ($(ARCH),axp)
RELEASE_CFLAGS=$(BASE_CFLAGS) -ffast-math -funroll-loops \
	-fomit-frame-pointer -fexpensive-optimizations
endif

ifeq ($(ARCH),arm)
RELEASE_CFLAGS=$(BASE_CFLAGS) -ffast-math -funroll-loops \
	-fomit-frame-pointer -fexpensive-optimizations -g -O2 -Wall
endif

ifeq ($(ARCH),ppc)
RELEASE_CFLAGS=$(BASE_CFLAGS) -O2 -ffast-math -funroll-loops \
	-fomit-frame-pointer -fexpensive-optimizations
endif

ifeq ($(ARCH),sparc)
RELEASE_CFLAGS=$(BASE_CFLAGS) -ffast-math -funroll-loops \
	-fomit-frame-pointer -fexpensive-optimizations
endif

ifeq ($(ARCH),i386)
RELEASE_CFLAGS=$(BASE_CFLAGS) -O2 -ffast-math -funroll-loops -falign-loops=2 \
	-falign-jumps=2 -falign-functions=2 -fno-strict-aliasing
# compiler bugs with gcc 2.96 and 3.0.1 can cause bad builds with heavy opts.
#RELEASE_CFLAGS=$(BASE_CFLAGS) -O6 -m486 -ffast-math -funroll-loops \
#	-fomit-frame-pointer -fexpensive-optimizations -malign-loops=2 \
#	-malign-jumps=2 -malign-functions=2
endif

ifeq ($(ARCH),x86_64)
_LIB := 64
RELEASE_CFLAGS=$(BASE_CFLAGS) -O2 -ffast-math -funroll-loops \
	-fomit-frame-pointer -fexpensive-optimizations -fno-strict-aliasing
endif

VERSION=3.21+r0.16

MOUNT_DIR=src

BUILD_DEBUG_DIR=debug$(ARCH)
BUILD_RELEASE_DIR=release$(ARCH)
CLIENT_DIR=$(MOUNT_DIR)/client
SERVER_DIR=$(MOUNT_DIR)/server
REF_SOFT_DIR=$(MOUNT_DIR)/ref_soft
REF_GL_DIR=$(MOUNT_DIR)/ref_gl
COMMON_DIR=$(MOUNT_DIR)/qcommon
LINUX_DIR=$(MOUNT_DIR)/linux
GAME_DIR=$(MOUNT_DIR)/game
CTF_DIR=$(MOUNT_DIR)/ctf
XATRIX_DIR=$(MOUNT_DIR)/xatrix
ROGUE_DIR=$(MOUNT_DIR)/rogue
NULL_DIR=$(MOUNT_DIR)/null

BASE_CFLAGS=-Wall -pipe -Dstricmp=strcasecmp
ifeq ($(HAVE_IPV6),YES)
BASE_CFLAGS+= -DHAVE_IPV6
ifeq ($(OSTYPE),FreeBSD)
BASE_CFLAGS+= -DHAVE_SIN6_LEN
endif
NET_UDP=net_udp6
else
NET_UDP=net_udp
endif

ifeq ($(strip $(BUILD_QMAX)),YES)
	BASE_CFLAGS+=-DQMAX
endif

ifeq ($(strip $(BUILD_RETEXTURE)),YES)
	BASE_CFLAGS+=-DRETEX
endif

ifeq ($(strip $(BUILD_JOYSTICK)),YES)
BASE_CFLAGS+=-DJoystick
endif
ifeq ($(strip $(BUILD_ARTS)),YES)
BASE_CFLAGS+=$(shell artsc-config --cflags)
endif

ifneq ($(ARCH),i386)
 BASE_CFLAGS+=-DC_ONLY
endif

DEBUG_CFLAGS=$(BASE_CFLAGS) -g

ifeq ($(OSTYPE),FreeBSD)
LDFLAGS=-lm
endif
ifeq ($(OSTYPE),Linux)
LDFLAGS=$(shell sdl-config --libs) -lm -ldl
endif

ifeq ($(strip $(BUILD_ARTS)),YES)
LDFLAGS+=$(shell artsc-config --libs)
endif

ifeq ($(strip $(BUILD_ALSA)),YES)
LDFLAGS+=-lasound
endif


SVGALDFLAGS=-lvga

XCFLAGS=-I/usr/X11R6/include
XLDFLAGS=-L/usr/X11R6/lib$(_LIB) -lX11 -lXext -lXxf86dga -lXxf86vm
AALDFLAGS=-lm -laa

SDLCFLAGS=$(shell sdl-config --cflags)
ifeq ($(strip $(STATICSDL)),YES)
	SDLLDFLAGS += -L/usr/X11R6/lib$(_LIB) -Wl,-Bstatic $(SDLDIR)/libSDL.a
	SDLLDFLAGS += $(SDLDIR)/libesd.a $(SDLDIR)/libartsc.a -Wl,-Bdynamic
	SDLLDFLAGS += -lpthread -lX11 -lXext -lXxf86dga -lXxf86vm -lXv \
		-lXinerama
else
	SDLLDFLAGS=$(shell sdl-config --libs)
endif

ifeq ($(strip $(BUILD_JOYSTICK)),YES)
SDLCFLAGS+=-DJoystick
endif

FXGLCFLAGS=-I/usr/X11R6/include
FXGLLDFLAGS=-L/usr/local/glide/lib -L/usr/X11/lib -L/usr/local/lib \
	-L/usr/X11R6/lib -lX11 -lXext -lGL -lvga

GLXCFLAGS=-I/usr/X11R6/include -DOPENGL
GLXLDFLAGS=-L/usr/X11R6/lib$(_LIB) -lX11 -lXext -lXxf86dga -lXxf86vm

SDLGLCFLAGS=$(SDLCFLAGS) -DOPENGL
SDLGLLDFLAGS=$(SDLLDFLAGS)

ifeq ($(strip $(BUILD_QMAX)),YES)
GLXLDFLAGS+=-ljpeg
SDLGLLDFLAGS+=-ljpeg
REF_GL_DIR = $(MOUNT_DIR)/ref_candygl
CL_FX = cl_fxmax.c
else
CL_FX = cl_fx.c
endif

SHLIBEXT=so

SHLIBCFLAGS=-fPIC
SHLIBLDFLAGS=-shared

DO_CC=$(CC) $(CFLAGS) $(SDLCFLAGS) -o $@ -c $<
DO_DED_CC=$(CC) $(CFLAGS) -DDEDICATED_ONLY -o $@ -c $<
DO_DED_DEBUG_CC=$(CC) $(DEBUG_CFLAGS) -DDEDICATED_ONLY -o $@ -c $<
DO_SHLIB_CC=$(CC) $(CFLAGS) $(SHLIBCFLAGS) -o $@ -c $<
DO_GL_SHLIB_CC=$(CC) $(CFLAGS) $(SHLIBCFLAGS) $(GLCFLAGS) -o $@ -c $<
DO_AS=$(CC) $(CFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<
DO_SHLIB_AS=$(CC) $(CFLAGS) $(SHLIBCFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<

#############################################################################
# SETUP AND BUILD
#############################################################################

.PHONY : targets build_debug build_release clean clean-debug clean-release clean2

TARGETS=$(BUILDDIR)/quake2 $(BUILDDIR)/game$(ARCH).$(SHLIBEXT)
ifeq ($(strip $(BUILD_DEDICATED)),YES)
 TARGETS += $(BUILDDIR)/q2ded
endif
ifeq ($(strip $(BUILD_CTFDLL)),YES)
 TARGETS += $(BUILDDIR)/ctf/game$(ARCH).$(SHLIBEXT)
endif

ifeq ($(strip $(BUILD_XATRIX)),YES)
 TARGETS += $(BUILDDIR)/xatrix/game$(ARCH).$(SHLIBEXT)
endif

ifeq ($(strip $(BUILD_ROGUE)),YES)
 TARGETS += $(BUILDDIR)/rogue/game$(ARCH).$(SHLIBEXT)
endif

ifeq ($(ARCH),axp)
 ifeq ($(strip $(BUILD_SDLQUAKE2)),YES)
  $(warning Warning: SDLQuake2 not supported for $(ARCH))
 endif

 ifeq ($(strip $(BUILD_SVGA)),YES)
  $(warning Warning: SVGAlib support not supported for $(ARCH))
 endif

 ifeq ($(strip $(BUILD_X11)),YES)
  $(warning Warning: X11 support not supported for $(ARCH))
 endif

 ifeq ($(strip $(BUILD_GLX)),YES)
  $(warning Warning: support not supported for $(ARCH))
 endif

 ifeq ($(strip $(BUILD_FXGL)),YES)
  $(warning Warning: FXGL support not supported for $(ARCH))
 endif

 ifeq ($(strip $(BUILD_SDL)),YES)
  $(warning Warning: SDL support not supported for $(ARCH))
 endif

 ifeq ($(strip $(BUILD_SDLGL)),YES)
  $(warning Warning: SDLGL support not supported for $(ARCH))
 endif
endif # ARCH axp

ifeq ($(ARCH),ppc)
 ifeq ($(strip $(BUILD_SDLQUAKE2)),YES)
  TARGETS += $(BUILDDIR)/sdlquake2
 endif
 
 ifeq ($(strip $(BUILD_SVGA)),YES)
  $(warning Warning: SVGAlib support not supported for $(ARCH))
 endif

 ifeq ($(strip $(BUILD_X11)),YES)
  TARGETS += $(BUILDDIR)/ref_softx.$(SHLIBEXT)
 endif

 ifeq ($(strip $(BUILD_GLX)),YES)
  TARGETS += $(BUILDDIR)/ref_glx.$(SHLIBEXT)
 endif

 ifeq ($(strip $(BUILD_FXGL)),YES)
  $(warning Warning: FXGL support not supported for $(ARCH))
 endif

 ifeq ($(strip $(BUILD_SDL)),YES)
  TARGETS += $(BUILDDIR)/ref_softsdl.$(SHLIBEXT)
 endif

 ifeq ($(strip $(BUILD_SDLGL)),YES)
  TARGETS += $(BUILDDIR)/ref_sdlgl.$(SHLIBEXT)
 endif
endif # ARCH ppc

ifeq ($(ARCH),arm)
 ifeq ($(strip $(BUILD_SDLQUAKE2)),YES)
  TARGETS += $(BUILDDIR)/sdlquake2
 endif
 
 ifeq ($(strip $(BUILD_SVGA)),YES)
  $(warning Warning: SVGAlib support not supported for $(ARCH))
 endif

 ifeq ($(strip $(BUILD_X11)),YES)
  TARGETS += $(BUILDDIR)/ref_softx.$(SHLIBEXT)
 endif

 ifeq ($(strip $(BUILD_GLX)),YES)
  TARGETS += $(BUILDDIR)/ref_glx.$(SHLIBEXT)
 endif

 ifeq ($(strip $(BUILD_FXGL)),YES)
  $(warning Warning: FXGL support not supported for $(ARCH))
 endif

 ifeq ($(strip $(BUILD_SDL)),YES)
  TARGETS += $(BUILDDIR)/ref_softsdl.$(SHLIBEXT)
 endif

 ifeq ($(strip $(BUILD_SDLGL)),YES)
  TARGETS += $(BUILDDIR)/ref_sdlgl.$(SHLIBEXT)
 endif
endif # ARCH arm

ifeq ($(ARCH),sparc)
 ifeq ($(strip $(BUILD_SDLQUAKE2)),YES)
  TARGETS += $(BUILDDIR)/sdlquake2
 endif
 
 ifeq ($(strip $(BUILD_SVGA)),YES)
  $(warning Warning: SVGAlib support not supported for $(ARCH))
 endif

 ifeq ($(strip $(BUILD_X11)),YES)
  TARGETS += $(BUILDDIR)/ref_softx.$(SHLIBEXT)
 endif

 ifeq ($(strip $(BUILD_GLX)),YES)
  $(warning Warning: GLX support not supported for $(ARCH))
 endif

 ifeq ($(strip $(BUILD_FXGL)),YES)
  $(warning Warning: FXGL support not supported for $(ARCH))
 endif

 ifeq ($(strip $(BUILD_SDL)),YES)
  TARGETS += $(BUILDDIR)/ref_softsdl.$(SHLIBEXT)
 endif

 ifeq ($(strip $(BUILD_SDLGL)),YES)
  $(warning Warning: SDLGL support not supported for $(ARCH))
 endif
endif # ARCH sparc

ifeq ($(ARCH),x86_64)
 ifeq ($(strip $(BUILD_SDLQUAKE2)),YES)
  TARGETS += $(BUILDDIR)/sdlquake2
 endif

 ifeq ($(strip $(BUILD_SVGA)),YES)
  $(warning Warning: SVGA not supported for $(ARCH))
 endif

 ifeq ($(strip $(BUILD_SOFTX)),YES)
  $(warning Warning: Software X Renderer not supported for $(ARCH))
 endif

 ifeq ($(strip $(BUILD_GLX)),YES)
  TARGETS += $(BUILDDIR)/ref_glx.$(SHLIBEXT)
 endif

 ifeq ($(strip $(BUILD_FXGL)),YES)
  $(warning Warning: FXGL not currently supported for $(ARCH))
 endif

 ifeq ($(strip $(BUILD_SDLGL)),YES)
  TARGETS += $(BUILDDIR)/ref_sdlgl.$(SHLIBEXT)
 endif
endif # ARCH x86_64

ifeq ($(ARCH),i386)
 ifeq ($(strip $(BUILD_SDLQUAKE2)),YES)
  TARGETS += $(BUILDDIR)/sdlquake2
 endif

 ifeq ($(strip $(BUILD_SVGA)),YES)
  TARGETS += $(BUILDDIR)/ref_soft.$(SHLIBEXT)
 endif

 ifeq ($(strip $(BUILD_X11)),YES)
  TARGETS += $(BUILDDIR)/ref_softx.$(SHLIBEXT)
 endif

 ifeq ($(strip $(BUILD_GLX)),YES)
  TARGETS += $(BUILDDIR)/ref_glx.$(SHLIBEXT)
 endif

 ifeq ($(strip $(BUILD_FXGL)),YES)
  TARGETS += $(BUILDDIR)/ref_gl.$(SHLIBEXT)
 endif

 ifeq ($(strip $(BUILD_SDL)),YES)
  TARGETS += $(BUILDDIR)/ref_softsdl.$(SHLIBEXT)
 endif

 ifeq ($(strip $(BUILD_SDLGL)),YES)
  TARGETS += $(BUILDDIR)/ref_sdlgl.$(SHLIBEXT)
 endif
endif # ARCH i386

ifeq ($(strip $(BUILD_AA)),YES)
	TARGETS += $(BUILDDIR)/ref_softaa.$(SHLIBEXT)
endif

ifeq ($(strip $(BUILD_REDBLUE)),YES)
	BASE_CFLAGS += -DREDBLUE
endif

all: build_debug build_release

build_debug:
	@-mkdir -p $(BUILD_DEBUG_DIR) \
		$(BUILD_DEBUG_DIR)/client \
		$(BUILD_DEBUG_DIR)/ded \
		$(BUILD_DEBUG_DIR)/ref_soft \
		$(BUILD_DEBUG_DIR)/ref_gl \
		$(BUILD_DEBUG_DIR)/game \
		$(BUILD_DEBUG_DIR)/ctf \
		$(BUILD_DEBUG_DIR)/xatrix \
		$(BUILD_DEBUG_DIR)/rogue
	$(MAKE) targets BUILDDIR=$(BUILD_DEBUG_DIR) CFLAGS="$(DEBUG_CFLAGS) -DLINUX_VERSION='\"$(VERSION) Debug\"'"

build_release:
	@-mkdir -p $(BUILD_RELEASE_DIR) \
		$(BUILD_RELEASE_DIR)/client \
		$(BUILD_RELEASE_DIR)/ded \
		$(BUILD_RELEASE_DIR)/ref_soft \
		$(BUILD_RELEASE_DIR)/ref_gl \
		$(BUILD_RELEASE_DIR)/game \
		$(BUILD_RELEASE_DIR)/ctf \
		$(BUILD_RELEASE_DIR)/xatrix \
		$(BUILD_RELEASE_DIR)/rogue
	$(MAKE) targets BUILDDIR=$(BUILD_RELEASE_DIR) CFLAGS="$(RELEASE_CFLAGS) -DLINUX_VERSION='\"$(VERSION)\"'"

targets: $(TARGETS)

## quake2 0.2-1

=== debian/changelog ===
quake2 (0.2-1) unstable; urgency=low

  * Fix post installation script

 -- CepiPerez <cepiperez@gmail.com>  Mon, 12 Apr 2010 19:56:22 -0300

=== debian/control ===
Source: quake2
Section: user/games
Priority: extra
Maintainer: CepiPerez <cepiperez@gmail.com>
Build-Depends: libsdl1.2-dev, debhelper (>= 5)
Standards-Version: 3.7.2

Package: quake2
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Quake II port.
 A first-person shooter computer game developed by id Software and distributed by Activision.
 To run the game copy pak0.pak from original game to /home/user/.quake2/baseq2 folder.
XSBC-Bugtracker: mailto:cepiperez@gmail.com
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oEDRcVC8GVYZ0AAAlqSURBVGje1Zl9VFP3Gce/v9x783ITEhLICxBQ
 EASxqAhYZJW2vFit2GpVWqvVtb7V2rV2bffSc+Y57WltN7eedqdz7bHdznrq
 anFW7YubTG2Pdg5lowMVEBJCSCCBBJKQhLzd5O6PHnroNp1BoPT71y+5z31+
 z+c8z/n9zvNcYBza+dz60SW1fMNdyuqVVSReH4vKCwR331+uAyAAgJzS2eMJ
 5auX49Vv976PokW5pc+/+/x70Si3p6+7TxyvD46LioP+0LM/eH3L7wHkdTZ0
 YNK1oHgBAKBiXcmTDzx1z1DhkqKajc8+IBmvv4rFxYKchVlLnvrNVnflttId
 ACChxRMf+J1VpaNLZu3Oew7s2vvQJQCiifKfys5M+OHrO3pvr128Z7xV8X/F
 AopNv9hS//gb208DkEzCFqpN+zZe3fZKzYHJiJ9+7JVNB8pW3moY/WNe0dwJ
 c15YPufrDG998f7Yiicrn7nRd6kbMardsbxMpFC8QYskxa0NrW4A6Lc5JgzA
 bnaOLmOhsPdkZn7KB5EAOeTsHRqckFNIIBKc84XD7/zptcPmyT0mCK58Ebmo
 0iTX5d6aeWRCXD606976H594IpCZkbsUU6ecX1/8qV+l1D5xsxnQRanAAsMF
 h9XUc7V+CgE6eSJ2bHhp5dM3BVC7dc267KXF6v4G8weYYrUcaTutLlOmlVUW
 rxkvgIhNYpaE/H58cfL86akGOPVW4+fpei2lL9WWjQtgUcXCBFosKtXKdADQ
 MtUAZpexJWgOQsJIJdeL85oPtOmqRCaBSrd19gLAIKZefT2mfo88nVlVs3Op
 6poX1LUeMDKGVaSJwFNSfEsaltEiRVgOQifR8Weg40pvNhWTIhjkvy0AHTsz
 CVRUKTdc6J4dN0DE66fISASBPu+3UT7Iyy8od5mtGOixY8bcWY64AVL0apPH
 54E2V6JatqJ691QDbH6k8r6AKoLUmekYtrrVcQOIxGKXzxsBRDSZtWzO2qkG
 cMo889LkaXCZnf9MGVE2xw3ADXAj9hZbxGLoQ+Jcdv5MfXrJVAW/cXPtMq87
 pkOQQChPcNad+CgaN0C33R6MsowxZhuGOk8r2/KrHauuZbvt2Q1xB1lTu/La
 7aYuUp2/NIsViUVIkImdACJxH6PGNoO3tDr/fFJOWt65F45DPSd7d3lVyZtn
 TzVa/tP2wL6DWPtITWeERi8tJ4GYgIqQYEShZNmFUSL1+cJDtgjHRCIBp0xF
 aRS+4bDh2MHjd4z1sWrVGhw7dgSFJQtnqxLkte7hIAg/GDY1uz+9HsB1pwmz
 Z2TlZ9026w+V68uKDZZuODp9hz989UjtNcwVtY/Vbp9ZqXlFopcLfCYbAh2x
 866om84q0y2CG/CPhLxnX2ivbjI1XOB5HoR8c/uy/OV58x9MrMu+c36BLEnJ
 c8Me565FP8oDMBR3CVUtK0eHuas1PSXFbu41wN1uR0qebl315opD13jFU7e/
 7oTb4vU4Ggy8gKXReLFlb9PxtoOGP1vR3mRAOBDrbzI1XADwX8EDIBU78+p0
 t6QWhHkvHwo4yPHnT711veCvC3DqL2e/Ko9fvrsr5mKgX5QBKUPz+sKk2rWP
 rnoVIFIAWFDyjdayzdk9NOJxciTg4JAxJ9NICaLtrEQMVUyLYCjCjTVuOH/m
 qxMPUtUzL+8+2R+2F2jzs6CVaQgxy4fqP63/mT1svemOrOfj/fUPdpw0gpFx
 xNrkJLNK055a//Tyw0phYva/Gq+MtRVSbIRIWSHAxyCQcUyYCycyMoKILAiH
 2dk31ri0rAJ3FVXdtv+TfR/rbkuuTivN5J0mBxiRgvvrgaNrAEAn1N8cQEqa
 GpaevvddRverX/yxCZnz9RD6GD4xV7t89U9WHAMgHGPOp+hmkP5uN++0uhCN
 ER8tEnFRnkEoSiARMLKxvtdvvHfv99978ERSRU6ZIEYjGuJBswK0Hrn84kef
 fvb5HWXFN9CExqHdLz9a12vtnydXMbmuy71Qz9VBrtVgyOW2nv6g4aHuK6bP
 H33u/kuUHLfECAdLpzurs6WrcPUTlUfCHgFczqFO799ybulwHl1dtbn8zbSS
 jERRtoS3XjARIa3wDRo94fmivDPbtz2+7sa76DiVlJxUUrOh8iKoEURDQmgK
 E3heQpHhrpEoCZN3FBnSTf5YSEyiUV4UJQf7LF5lwffSV/hGeESpaNDXG+By
 S+fJ/OwAggMcHwr4SWKKCkOtw96rB81bP6n/pC6eeKh4AWSpGntfh62ranvp
 qmHzCCEiHjLIIGUh4BNR5LB5aCVNA4SAcwfms6KE2YM2F0/zDJTJCUxfm10Y
 HvFBoU2GUCoGH6Og1OhJ14dXn6s79OHb8c8xxq85D7yw+ndpOm0BRwsiYUEo
 cfHqIjQdvYzBS1Y+OUtL/G4v3B0BiOUxsHIZBvwOPntBDsIQEUWKDD6HJ6CI
 iE17Ht53NwDz/7obJmU6rU5OBYC2Q3uOLr56wrT89Uf2365J1LjsLQ6EbUNw
 dgyT4VY77+h0QJPEIgie93uDfHF1IdEX5RHiGzERb/Bt90XvfXse3jcXgJn8
 77thUjPwDVWuuVNts9jnVK5bcsxrH1QKZEIYW7utGpWOTc2WqyyXBsDoWNuA
 1VFTnLXQvO/F1zwAuJsfhU2slNtfWtNGR0Raf8ALfcEsXd3Pj1Ut21L6ntvo
 h3ShtvvNh9/OnMgNJ3yUzaapERUSnkpgceFcs5JQFEOLWMhUyfBaXRPen9IT
 7M+VKIh6+lwuLTcQjiQlqb2q2xVn7J0OyDgWAh0dnmiAic5AAiNOlkt4CSip
 kOFCIcrUbLkvPVcPl8CFBEmSYLoDjLQ3mXlNgZ5X52jAS4mAj3K9PAgUcg1i
 goh7ugNE9TPS7C5nP3GZnTzLqMIp2do2IuAhEPrhtASN0x0A9i5Ly9WzJvAU
 ZbA0GoKz8+e6bCYPZBkqDLX2n5v2AG5roKdoSyHkalWzrXHAb7jSGfBxw4bk
 1HScOVF/cbqfQmj+7PLf6QwCVimzd7jaw8nGNKFCxPd/ebI1G0D7tM9Al914
 eVZ2HoiIGQTAnz93OqxWJ9nlcrkPgG/aAwCweUMucEPc6Pe0SIJC6h7os/9j
 MmZIkwHAMTF6qLXVOPrpMaZWq4dFUUH3ZADQk+H0cmP7Z4mU7OtyGYyGLMZW
 s/U7A4AA09zd1t4z+vPLw1+2d10xufFd0YzMmdKx5amQSBkhRVOTsde/ATFm
 1eSv3LaQAAAAAElFTkSuQmCC

## quake2 0.3-1

=== debian/changelog ===
quake2 (0.3-1) unstable; urgency=low

  * Fix post installation script (again) :P

 -- CepiPerez <cepiperez@gmail.com>  Mon, 12 Apr 2010 19:56:22 -0300

## quake2 0.3-2

=== debian/changelog ===
quake2 (0.3-2) unstable; urgency=low

  * Fix post installation script (again, adding permissions)

 -- CepiPerez <cepiperez@gmail.com>  Mon, 12 Apr 2010 19:56:22 -0300

## quake2 0.3-3

=== debian/changelog ===
quake2 (0.3-3) unstable; urgency=low

  * Added keyboard layout support

 -- CepiPerez <cepiperez@gmail.com>  Wed, 21 Apr 2010 15:36:18 -0300

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/quake2.sgml > quake2.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/quake2.
	#$(MAKE) DESTDIR=$(CURDIR)/debian/quake2 install
	cp $(CURDIR)/debian/quake2.sh $(CURDIR)/debian/quake2/usr/bin/quake2
	cp $(CURDIR)/debian/quake2.desktop $(CURDIR)/debian/quake2/usr/share/applications/hildon/quake2.desktop
	cp $(CURDIR)/debian/quake2-48.png $(CURDIR)/debian/quake2/usr/share/icons/hicolor/48x48/hildon/quake2.png
	cp $(CURDIR)/debian/quake2-64.png $(CURDIR)/debian/quake2/usr/share/icons/hicolor/64x64/hildon/quake2.png
	cp $(CURDIR)/releasearm/sdlquake2 $(CURDIR)/debian/quake2/opt/quake2/sdlquake2
	cp $(CURDIR)/releasearm/gamearm.so $(CURDIR)/debian/quake2/opt/quake2/baseq2/gamesarm.so
	cp $(CURDIR)/debian/config.cfg $(CURDIR)/debian/quake2/opt/quake2/baseq2/config.cfg
	cp $(CURDIR)/releasearm/ref_softsdl.so $(CURDIR)/debian/quake2/opt/quake2/ref_softsdl.so


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
